Retrieve the SCIM Service Provider Configuration
GET /api/0/organizations/{organization_id_or_slug}/scim/v2/ServiceProviderConfig
Return the SCIM Service Provider Configuration, which describes the SCIM 2.0 protocol features Sentry supports (RFC 7643 section 5).
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:member:adminmember:readmember:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/scim/v2/ServiceProviderConfig \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig" ], "documentationUri": "https://docs.sentry.io/organization/authentication/sso/", "patch": { "supported": true }, "bulk": { "supported": false, "maxOperations": 0, "maxPayloadSize": 0 }, "filter": { "supported": true, "maxResults": 100 }, "changePassword": { "supported": false }, "sort": { "supported": false }, "etag": { "supported": false }, "authenticationSchemes": [ { "type": "oauthbearertoken", "name": "OAuth Bearer Token", "description": "Authentication scheme using the OAuth Bearer Token standard. Use the SCIM token generated for your organization.", "specUri": "https://www.rfc-editor.org/info/rfc6750", "primary": true } ], "meta": { "resourceType": "ServiceProviderConfig", "location": "https://sentry.io/api/0/organizations/example-org/scim/v2/ServiceProviderConfig" } }
Was this helpful?